<?php
/**
 * Theme Name:      Epron
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/epron
 * Author URI:      http://rascalsthemes.com
 * File:            loop-simple-block.php
 *
 * @package epron
 * @since 1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Get options
$epron_opts = epron_opts();

// Get Columns Number
$block_grid = get_query_var( 'block_option' );

// Module classes
$classes = [
	'small-module',
	'post-grid-module',
];

// Set color scheme
$color_scheme = get_theme_mod( 'color_scheme', 'dark' );
$classes[]    = $color_scheme . '-scheme-el';

// Module Opts
$module_opts = [
	'module'     => 'epron_simple_module',
	'excerpt'    => '',
	'thumb_size' => 'epron-large-square-thumb',
	'classes'    => implode( ' ', $classes ),
];
?>

<div data-module-opts='<?php echo json_encode( $module_opts ); ?>' class="ajax-grid flex-grid flex-<?php echo esc_attr( $block_grid ); ?> flex-tablet-2 flex-mobile-2 flex-mobile-portrait-1 flex-gap-medium posts-container anim-grid" data-anim-effect="amun">
<?php
// Start Loop
while ( have_posts() ) {

	the_post();

	$index = $wp_query->current_post + 1;

	// Module arguments
	if ( function_exists( $module_opts['module'] ) ) {
		echo '<div class="flex-item">';
		$epron_opts->e_esc( $module_opts['module']( [
			'post_id'       => $wp_query->post->ID,
			'thumb_size'    => $module_opts['thumb_size'],
			'lazy'          => false,
			'title'         => get_the_title(),
			'permalink'     => get_permalink(),
			'classes'       => $module_opts['classes'],
			'posts_classes' => implode( ' ', get_post_class( '', $wp_query->post->ID ) ),
		] ) );
		echo '</div>';
	}
}
?>
</div>
